Subject: Updating from 1.5.1_ALPHA to 1.5V
To: None <>
From: Peter Losher <>
List: current-users
Date: 05/03/2001 12:43:56
So I am in the process of attempting to update this Dell Insiprion 3800
from 1.5.1_ALPHA to 1.5V (To take advantage of better Ricochet support and
support for the ESS Maestro 3 audio chip - if that ever becomes a

I have already updated make, and tried to update libc, but encounter this

creating LintSysNoerr.c
lint -chapbxzF -w -X 272 -D_LIBC -DNLS -DYP -DHESIOD -DLIBC_SCCS
-DSYSLIBC_SCCS -D_REENTRANT -I/usr/src/lib/libc/include -DINET6
-D__DBINTERFACE_PRIVATE -I/usr/src/lib/libc/../../libexec/ld.elf_so
-I/usr/src/lib/libc/dlfcn -DWITH_RUNE -DRUNEMOD_MAJOR=3
-D_PATH_LOCALEMODULE=\"/usr/lib/runemodule\" -DRESOLVSORT -I.
lint: illegal option -- w
Usage: lint [-abceghprvxzHF] [-s|-t] [-i|-nu] [-Dname[=def]] [-Uname]
        [-Idirectory] [-Ldirectory] [-llibrary] [-ooutputfile] file ...
       lint [-abceghprvzHF] [-s|-t] -Clibrary [-Dname[=def]]
        [-Idirectory] [-Uname] [-Bpath] file ...
*** Error code 1

I tried updating usr.bin/xlint and get this:

cc   -o lint1 cgram.o scan.o mem1.o mem.o err.o main1.o decl.o tree.o
func.o init.o emit.o emit1.o -ll
main1.o: In function `usage':
main1.o(.text+0x3c8): undefined reference to `getprogname'
collect2: ld returned 1 exit status
*** Error code 1

*** Error code 1

Any ideas on what I may be missing?

Thanks - Peter
Peter Losher   				      <>
Systems Admin. - Nominum, Inc.              PGP key available on request